petsc-3.6.2 2015-10-02
Report Typos and Errors

# AOPetscToApplicationIS

Maps an index set in the PETSc ordering to the application-defined ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOPetscToApplicationIS(AO ao,IS is)

Collective on AO and IS

### Input Parameters

| ao | - the application ordering context
| is | - the index set; this is replaced with its mapped values

### Output Parameter

is -the mapped index set

### Notes

The index set cannot be of type stride or block

Any integers in ia[] that are negative are left unchanged. This allows one to convert, for example, neighbor lists that use negative entries to indicate nonexistent neighbors due to boundary conditions etc.

### Keywords

application ordering, mapping

### See Also

AOCreateBasic(), AOView(),AOApplicationToPetsc(),
AOApplicationToPetscIS(),AOPetscToApplication()

Level:intermediate
Location:src/vec/is/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages